Subject: Re: [PATCH v8 2/2] status: always show tracking branch even no change

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Aug 2013 09:08:50 -0700

Jiang Xin <[email-masked]> writes:

> 2013/8/26 Jeremy Rosen <[email-masked]>:
>>
>> nitpicking, but shouldn't this be worded as "up to date" rather than "identical" ?
>>
>> The reason is that identical gives the idea that the two branch happen to be on the same
>> commit wheras "up to date" gives the idea that there is a special relationship between
>> these two particular branches. We are not just listing all branches on the same
>> commit as us, we are actively telling you about this branch because it's interesting
>> to you.
>
> That's better. I want to use 'up to date' in the beginning, but I don't know
> which prep. should be used. Now I realize I should:
>
>     s/identical to/up to date with/

Yeah, that, or "in sync with" which may be a bit shorter.

I'll queue with "up-to-date with", as "git grep 'up to date'" tells
me that it is less common than "git grep 'up-to-date'", for now.

Thanks.